<input id="top"></input>
<div class="modal-header">
	<button type="button" class="close entity-report-close" data-dismiss="modal" aria-hidden="true">&times;</button>
	<h4 class="modal-title" id="modal-title">ASE variant: ${entity.getString("SNP_ID")}</h4>
</div>

<#noparse>
<script>
	$(document).ready(function(){
	    $(".geneRow").click(function(e){
	        $('#'+$(this).attr('data-ensg')+'_fig').toggle();
	    });
		
		$(".geneUrl").click(function(e){
	        e.stopPropagation();
	    });
	});
</script>
</#noparse>

<div class="modal-body">
	<div class="row-fluid">
		<div class = "col-md-12">
  			<#-- ASE TABLE -->
  			<table class="table table-condensed table-striped table-responsive">
				<thead></thead>
				<tbody>
					<tr>
						<th>P_Value</th>
						<td><#if entity.get("P_Value") == 0>&le; 2E-311<#else>${entity.get("P_Value")?string("0.##E0")}</#if></td>
						<th>Chromosome</th>
						<td>${entity.getString("Chr")}</td>
						<th>SNP_ID</th>
						<td>
							<#if entity.getString("SNP_ID")?starts_with("rs")>
								<a target="_blank" href="http://identifiers.org/dbsnp/${entity.get("SNP_ID")}">${entity.get("SNP_ID")}</a>
							<#else>
								${entity.getString("SNP_ID")}
							</#if>
						</td>
					</tr>
					<tr>
						<th>Likelihood_ratio_test_D</th>
						<td>${entity.get("Likelihood_ratio_test_D")?string("0.##E0")}</td>
						<th>Position</th>
						<td>${entity.getString("Pos")}</td>
						<th>Reference_allele</th>
						<td>${entity.getString("Reference_allele")}</td>
					</tr>
					<tr>
						<th>Fraction_alternative_allele</th>
						<td>${entity.getString("Fraction_alternative_allele")}</td>
						
						<th>Samples</th>
						<td>${entity.getString("Samples")}</td>
						<th>Alternative_allele</th>
						<td>${entity.getString("Alternative_allele")}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
	<div class="row-fluid">
		<div class="col-md-12 table-responsive">
			<#-- GENE TABLE -->
			<#if entity!='' && entity.get("Genes")??>
				<#if entity.getEntities("Genes")?has_content>
					<table class="table table-condensed table-striped">
						<thead>
							<#list entity.getEntities("Genes").iterator() as gene>
								<#list gene.getEntityMetaData().getAttributes() as attribute>
									<th>${attribute.label}</th>
								</#list>
								<#break>
							</#list>
						</thead>
						<tbody>
							<#list entity.getEntities("Genes").iterator() as gene>
								<tr style="cursor:pointer;" class = "geneRow" data-ensg="${gene.get("Ensembl_ID")}">
								<#list gene.getEntityMetaData().getAttributes() as attribute>
									<#if attribute.label == "Ensembl_ID">								
										<td>
											<a target="_blank" href="http://identifiers.org/ensembl/${gene.getString(attribute.name)}" class="geneUrl">${gene.getString(attribute.name)}</a>
										</td>
									<#elseif attribute.label == "Gene_symbol">	
					                    <td>
											+&nbsp;&nbsp;${gene.getString(attribute.name)}
										</td>				
									<#else>
										<td>${gene.getString(attribute.name)}</td>
									</#if>	
								</#list>
								</tr>
								
								<tr id = "${gene.get("Ensembl_ID")}_fig" style="display: none;">
									<td colspan = ${gene.getAttributeNames()?size} ><img src="https://molgenis26.target.rug.nl/downloads/publicRnaSeq/genePlots/${gene.get("Ensembl_ID")}.png" alt = "${gene.get("Ensembl_ID")} expression levels" title = "Expression levels of ${gene.get("Gene_symbol")} in the 1,262 samples used for the ASE analysis"/></td>
								</tr>
							</#list>
						</tbody>
					</table>
				</#if>
			</#if>
		</div>
	</div>
	
	<#assign snp_id = entity.getString("SNP_ID")>
	<#if snp_id?contains(":")>
		<#assign snp_id = snp_id?replace(":", "_")>	
	</#if>	
	<div class="row-fluid">
		<div class="col-md-12">	
			<div id="AseImage" style="text-align:center;">
			    <img src="https://molgenis26.target.rug.nl/downloads/publicRnaSeq/asePlots/png/${snp_id}.png" alt="${snp_id}" width="800" height="400">
			    <!--- <img src="/scripts/ASE_plot/run?entityId=${entity.getString("SNP_ID")}" alt="${entity.getString("SNP_ID")}" width="800" height="400" />--->
			</div>
		</div>
	</div>
		
	<div class="row-fluid">
		<div class="col-md-12">		
		
			<hr></hr>
			<#-- Download buttons -->
			<button type="button" class="btn btn-primary" data-href="/menu/main/dataexplorer/details/csv">Download ASE sample table</button>
			<a type="button" target="_blank" class="btn btn-primary" href="https://molgenis26.target.rug.nl/downloads/publicRnaSeq/asePlots/pdf/${snp_id}.pdf">Download PDF version of ASE graph</a>
			<!---<a type="button" target="_blank" class="btn btn-primary" href="https://molgenis56.target.rug.nl/scripts/ASE_plot/run?entityId=${entity.getString('SNP_ID')}">Download PDF version of ASE graph</a>--->
	  		
	  		<hr></hr>
  		</div>
	</div>	
  		
  	<div class="row-fluid">
		<div class="col-md-12">		
	  		<#-- Genomebrowser here -->
			<div id="modalGenomeBrowser"></div>
		</div>
	</div>
</div>

<#-- modal footer -->
<div class="modal-footer">
	<button type="button" class="btn btn-default entity-report-close" data-dismiss="modal">close</button>
</div>

<script>
	molgenis.dataexplorer.data.createGenomeBrowser({
		pageName: 'modalGenomeBrowser', 
		noPersist: true, chr: ${entity.getString("Chr")}, 
		viewStart: ${entity.getString("Pos")} - 10000, 
		viewEnd: ${entity.getString("Pos")} + 10000,
		disableDefaultFeaturePopup: true
	});
	
	$('.entity-report-close').on('click', function(){
	    $('#genomebrowser').css('display', 'none');
	});
	
	$("#modalGenomeBrowser").on("focusin", function(){
	    $("#top").focus();
	    $("#top").css("display", "none");
    });
</script>

